## libjung-free-java 2.0.1+dfsg

=== debian/changelog ===
libjung-free-java (2.0.1+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:30:43 +0100

libjung-free-java (2.0.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #368931)

  * Removed 3d classes for due to the licence of
    "edu/uci/ics/jung/visualization3d/control/*"

  [ Olivier Sallou ]
    * Remove jai classes for licensing reasons. Thoses classes are independent
      and do not prevent use of the provided classes.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 14 Jan 2016 01:08:31 -0800
