=== debian/control ===
Source: libjung-free-java
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
           Olivier Sallou <osallou@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               javahelper,
               unzip
Build-Depends-Indep: default-jdk,
                     libcolt-free-java,
                     libcommons-collections4-java,
                     libvecmath-java
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libjung-java.git
Vcs-Git: git://anonscm.debian.org/debian-med/libjung-java.git
Homepage: http://jung.sourceforge.net/

Package: libjung-free-java
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java Universal Network/Graph Framework
 JUNG provides a common and extendible language for the modeling, analysis, and
 visualization of data that can be represented as a graph or network.
 .
 This package does not contain the jung jai classes (Java Advanced Imaging) for
 licensing reasons.
 .
 The JUNG architecture is designed to support a variety of representations of
 entities and their relations, such as directed and undirected graphs,
 multi-modal graphs, graphs with parallel edges, and hypergraphs. It provides
 a mechanism for annotating graphs, entities, and relations with metadata. This
 facilitates the creation of analytic tools for complex data sets that can
 examine the relations between entities as well as the metadata attached to each
 entity and relation.
 .
 The current distribution of JUNG includes implementations of a number of
 algorithms from graph theory, data mining, and social network analysis, such as
 routines for clustering, decomposition, optimization, random graph generation,
 statistical analysis, and calculation of network distances, flows, and
 importance measures (centrality, PageRank, HITS, etc.).
 .
 JUNG also provides a visualization framework that makes it easy to construct
 tools for the interactive exploration of network data. Users can use one of the
 layout algorithms provided, or use the framework to create their own custom
 layouts. In addition, filtering mechanisms are provided which allow users to
 focus their attention, or their algorithms, on specific portions of the graph.

Package: libjung-free-java-doc
Architecture: all
Section: doc
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java Universal Network/Graph Framework (documentation)
 JUNG provides a common and extendible language for the modeling, analysis, and
 visualization of data that can be represented as a graph or network.
 .
 The JUNG architecture is designed to support a variety of representations of
 entities and their relations, such as directed and undirected graphs,
 multi-modal graphs, graphs with parallel edges, and hypergraphs. It provides
 a mechanism for annotating graphs, entities, and relations with metadata. This
 facilitates the creation of analytic tools for complex data sets that can
 examine the relations between entities as well as the metadata attached to each
 entity and relation.
 .
 The current distribution of JUNG includes implementations of a number of
 algorithms from graph theory, data mining, and social network analysis, such as
 routines for clustering, decomposition, optimization, random graph generation,
 statistical analysis, and calculation of network distances, flows, and
 importance measures (centrality, PageRank, HITS, etc.).
 .
 JUNG also provides a visualization framework that makes it easy to construct
 tools for the interactive exploration of network data. Users can use one of the
 layout algorithms provided, or use the framework to create their own custom
 layouts. In addition, filtering mechanisms are provided which allow users to
 focus their attention, or their algorithms, on specific portions of the graph.
 .
 This package contains the documentation.
