=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/commons-collections4.jar:/usr/share/java/colt.jar:/usr/share/java/vecmath.jar:./jung-api-2.0.1.jar:./jung-algorithms-2.0.1.jar:./jung-visualization-2.0.1.jar:./jung-graph-impl-2.0.1.jar:./jung-io-2.0.1.jar

%:
	dh $@ --with javahelper --parallel

override_dh_clean:
	rm -rf jung-3d-2.0.1-sources jung-3d-demos-2.0.1-sources jung-algorithms-2.0.1-sources
	rm -rf jung-api-2.0.1-sources jung-graph-impl-2.0.1-sources jung-io-2.0.1-sources
	rm -rf jung-samples-2.0.1-sources jung-visualization-2.0.1-sources
	dh_clean

override_dh_auto_build: unzip
	for jar in *.jar; do cd $${jar%%.jar}; find . -type f | xargs sed -i -e \
		's/org.apache.commons.collections15/org.apache.commons.collections4/' \
		-e 's/org.apache.commons.collections4.Buffer/java.util.Queue/' \
		-e 's/org.apache.commons.collections4.buffer.UnboundedFifoBuffer/java.util.LinkedList/' \
		-e 's/UnboundedFifoBuffer/LinkedList/' \
		-e 's/Buffer</Queue</' \
		-e 's/LazyMap.decorate/LazyMap.lazyMap/' \
		-e 's/MapTransformer.getInstance/MapTransformer.mapTransformer/' \
		-e 's/ChainedTransformer.getInstance/ChainedTransformer.chainedTransformer/' \
		-e 's/CloneTransformer.getInstance/CloneTransformer.cloneTransformer/' \
		-e 's/CloneTransformer.<Point2D>getInstance/CloneTransformer.cloneTransformer/' \
		-e 's/OrPredicate.getInstance/OrPredicate.orPredicate/' \
		-e 's/TruePredicate.getInstance/TruePredicate.truePredicate/' ; \
		cd ..; done;
	patch -p1 < debian/patches/use-apache-commons-collections
	dh_auto_build

unzip:
	for jar in *.jar; do mkdir $${jar%%.jar}; cd $${jar%%.jar}; \
		unzip ../$${jar}; cd ..; done
