=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
 http://sf.net/jung/jung2-(\d)_(\d)_(\d)-sources\.zip
