## libjung-free-java 2.1.1

=== debian/changelog ===
libjung-free-java (2.1.1-2) unstable; urgency=medium

  * Updating d/watch after a change in the Github layout
  * Adding source no-change NMU in the changelog
  * Raising Standards version to 4.6.1 (no change)
  * Updating the Lintian overrides of the -doc package after changes in the
    syntax of Lintian

 -- Pierre Gruet <pgt@debian.org>  Sat, 19 Nov 2022 14:42:24 +0100

libjung-free-java (2.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (project continued at GitHub)
    (Closes: #884379, LP:1727772)
  * Adapt URLs
  * Upstream does not include any JAI code more so nothing to remove in
    Files-Excluded
  * cme fix dpkg-control
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + libjung-free-java-doc: Add Multi-Arch: foreign.
  * Remove default debian/gbp.conf

  [ Pierre Gruet ]
  * Fixing the Maven build
  * Having the doc properly built and installed
  * Adding a Lintian override for the embedded javascript
  * Fixing the dh_auto_clean rule
  * Removing a now useless patch about commons-collections
  * Stripping useless dependencies, dropping B-D-indep deps
  * Adding myself as uploader
  * Setting the classpaths of the build jars with javahelper

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Nov 2021 16:22:38 +0100
