=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: libjung-free-java
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
-           Olivier Sallou <osallou@debian.org>
+           Olivier Sallou <osallou@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
+               default-jdk,
                javahelper,
-               unzip
-Build-Depends-Indep: default-jdk,
-                     libcolt-free-java,
-                     libcommons-collections4-java,
-                     libvecmath-java
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libjung-java.git
-Vcs-Git: git://anonscm.debian.org/debian-med/libjung-java.git
-Homepage: http://jung.sourceforge.net/
+               libguava-java,
+               libmaven-javadoc-plugin-java,
+               libmaven-dependency-plugin-java,
+               maven-debian-helper,
+               junit4 <!nocheck>
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/libjung-free-java
+Vcs-Git: https://salsa.debian.org/med-team/libjung-free-java.git
+Homepage: https://github.com/jrtom/jung
+Rules-Requires-Root: no
 
 Package: libjung-free-java
 Architecture: all
-Depends: ${java:Depends},
+Depends: ${maven:Depends},
          ${misc:Depends}
-Recommends: ${java:Recommends}
+Recommends: ${maven:Recommends}
 Description: Java Universal Network/Graph Framework
  JUNG provides a common and extendible language for the modeling, analysis, and
  visualization of data that can be represented as a graph or network.
@@ -51,9 +54,10 @@
 Package: libjung-free-java-doc
 Architecture: all
 Section: doc
-Depends: ${java:Depends},
+Depends: ${maven:DocDepends},
          ${misc:Depends}
 Recommends: ${java:Recommends}
+Multi-Arch: foreign
 Description: Java Universal Network/Graph Framework (documentation)
  JUNG provides a common and extendible language for the modeling, analysis, and
  visualization of data that can be represented as a graph or network.
