=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven --with javahelper

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf */target

override_jh_installjavadoc:
	jh_installjavadoc
	# Removing wrong doc-base.javadoc file generated by jh_installjavadoc
	rm debian/libjung-free-java-doc.doc-base.javadoc
