=== debian/watch ===
version=4

https://github.com/jrtom/jung/tags .*/jung-@ANY_VERSION@@ARCHIVE_EXT@
